System requirements to play Harry Potter Hogwarts Mystery on Android

If we bear in mind the indications given by the Google Play Store, to be able to play Harry Potter: Hogwarts Mystery we require an Android device (whether smartphone or tablet) running on version 4.4 or above of this mobile operating system.

With regard to the space necessary to be able to download and install the game, the latter may vary depending on the device in question, as indicated in the official marketplace. Nevertheless, if you try to download the APK from Malavida, for instance, you can check that the file is about 90 MBs. In any case, this size could be increased or decreased in future updates depending on the software demands.

That’s why Android version 4.4 may not be enough for future updates, so we recommend you to use a phone or tablet capable of running the game with a large margin so we don’t end up finding out that we can no longer play in a few months time.

We should also mention that the game includes in-app purchases that aren’t essential for the correct development of the story but can be quite useful for players that aren’t too patient. These purchases will allow us to immediately buy gems but there are other ways of earning them without spending any money such as completing different goals in the game.

In any case, if you want to keep up with the minimum requirements to play Harry Potter: Hogwarts Mystery on your Android device, we recommend you to visit the game’s datasheet on Malavida where we’re always updating any changes.